Skip to main content
PATCH
/
v4
/
support
/
issues
/
{issueId}
Update issue priority and/or status
curl --request PATCH \
  --url https://api.kadoa.com/v4/support/issues/{issueId} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "stateId": "<string>",
  "reopenComment": "<string>",
  "resolutionMessage": "<string>"
}
'
import requests

url = "https://api.kadoa.com/v4/support/issues/{issueId}"

payload = {
"stateId": "<string>",
"reopenComment": "<string>",
"resolutionMessage": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({stateId: '<string>', reopenComment: '<string>', resolutionMessage: '<string>'})
};

fetch('https://api.kadoa.com/v4/support/issues/{issueId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

x-api-key
string
header
required

API key for authentication

Path Parameters

issueId
string
required

Body

application/json
priority
enum<number>

Issue priority (0=No priority, 1=Urgent, 2=High, 3=Medium, 4=Low)

Available options:
0,
1,
2,
3,
4
stateId
string

Target state ID. Use GET /v4/support/states to retrieve available states. Setting a non-final state on a resolved issue will reopen it.

reopenComment
string

Optional comment explaining why the issue is being reopened. Max 2000 characters. Only used when reopening a resolved issue.

resolutionMessage
string

Optional message explaining how the issue was resolved. Max 2000 characters. When provided, a resolved email including this message is sent to the user.

Response

200

Issue updated successfully